- Main Page
- Tutorials
- Functions
- Release Notes
- Examples

Functions
free
Complete List of ArrayFire Functions ArrayFire Functions by Category » Functions to create and modify Arrays » | Managing devices in ArrayFire

Free device memory allocated by ArrayFire's memory manager. More...

## Functions
AFAPI af_err | af_free_device (void *ptr)
AFAPI void | free (const void *ptr)
| Free device memory allocated by ArrayFire's memory manager. More...
AFAPI void | freePinned (const void *ptr)
| Free device memory allocated by ArrayFire's memory manager. More...

## Detailed Description

Free device memory allocated by ArrayFire's memory manager.

These calls free the device or pinned memory. These functions need to be called

## Function Documentation

AFAPI af_err af_free_device | ( | void * | ptr | ) |

AFAPI void af::free | ( | const void * | ptr | ) |

Free device memory allocated by ArrayFire's memory manager.

These calls free the device or pinned memory. These functions need to be called

Parameters

  [in] | ptr | the memory to free

AFAPI void af::freePinned | ( | const void * | ptr | ) |

Free device memory allocated by ArrayFire's memory manager.

These calls free the device or pinned memory. These functions need to be called

Parameters

  [in] | ptr | the memory to free